Extending Qt Creator Manual | QmlPrototypeReference

Extending Qt Creator Manual 4.5.2

# QmlPrototypeReference Class

(QmlJS::QmlPrototypeReference)

Inherits: | QmlJS::Reference

- List of all members, including inherited members

## Public Functions

| QmlPrototypeReference(AST::UiQualifiedId *qmlTypeName, const Document *doc, ValueOwner *valueOwner)
| ~QmlPrototypeReference()
const Document * | document() const
AST::UiQualifiedId * | qmlTypeName() const

## Reimplemented Public Functions

virtual const QmlPrototypeReference * | asQmlPrototypeReference() const override

- 3 public functions inherited from QmlJS::Reference
- 29 public functions inherited from QmlJS::Value

## Member Function Documentation

### QmlPrototypeReference::QmlPrototypeReference(AST::UiQualifiedId *qmlTypeName, const Document *doc, ValueOwner *valueOwner)

Default constructs an instance of QmlPrototypeReference.

### QmlPrototypeReference::~QmlPrototypeReference()

Destroys the instance of QmlPrototypeReference.

### `[override virtual]` const QmlPrototypeReference *QmlPrototypeReference::asQmlPrototypeReference() const

### const Document *QmlPrototypeReference::document() const

### AST::UiQualifiedId *QmlPrototypeReference::qmlTypeName() const